## Remove Zone Hold `client.Zones.Holds.Delete(ctx, params) (*ZoneHold, error)` **delete** `/zones/{zone_id}/hold` Stop enforcement of a zone hold on the zone, permanently or temporarily, allowing the creation and activation of zones with this zone's hostname. ### Parameters - `params HoldDeleteParams` - `ZoneID param.Field[string]` Path param: Identifier. - `HoldAfter param.Field[string]` Query param: If `hold_after` is provided, the hold will be temporarily disabled, then automatically re-enabled by the system at the time specified in this RFC3339-formatted timestamp. Otherwise, the hold will be disabled indefinitely. ### Returns - `type ZoneHold struct{…}` - `Hold bool` - `HoldAfter string` - `IncludeSubdomains string` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/zones" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) zoneHold, err := client.Zones.Holds.Delete(context.TODO(), zones.HoldDeleteParams{ ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", zoneHold.Hold) } ``` #### Response ```json { "errors": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "messages": [ { "code": 1000, "message": "message", "documentation_url": "documentation_url", "source": { "pointer": "pointer" } } ], "result": { "hold": true, "hold_after": "2023-01-31T15:56:36+00:00", "include_subdomains": "include_subdomains" }, "success": true } ```